package javaclient;

import java.awt.BorderLayout;
import java.awt.Frame;

import javax.swing.JDialog;
import javax.swing.JPanel;
import java.awt.GridBagLayout;
import javax.swing.JList;
import java.awt.*;
import javax.swing.JButton;
import javax.swing.JScrollPane;
import javax.swing.JTextField;
import java.awt.event.MouseEvent;
import java.awt.event.MouseAdapter;
import javax.swing.event.ListSelectionEvent;
import javax.swing.event.ListSelectionListener;
import javax.swing.JSpinner;
import javax.swing.JLabel;
import javax.swing.SpinnerNumberModel;
import javax.swing.event.ChangeEvent;
import javax.swing.event.ChangeListener;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

/**
 * <p>Title: </p>
 *
 * <p>Description: </p>
 *
 * <p>Copyright: Copyright (c) 2005</p>
 *
 * <p>Company: </p>
 *
 * @author not attributable
 * @version 1.0
 */
public class FontDialog extends JDialog {
    JPanel panel1 = new JPanel();
    String [] fnames=GraphicsEnvironment.getLocalGraphicsEnvironment().getAvailableFontFamilyNames();
    JList jList1 = new JList(fnames);
    GridBagLayout gridBagLayout2 = new GridBagLayout();
    JButton jButton1 = new JButton();
    JScrollPane jScrollPane1 = new JScrollPane(jList1);
    BorderLayout borderLayout1 = new BorderLayout();
    JTextField jTextField1 = new JTextField();
    JSpinner jSpinner1 = new JSpinner();
    JLabel jLabel1 = new JLabel();
    int pt=16;
    String face="";
    boolean bOK=false;

    public FontDialog(Frame owner, String title, boolean modal) {
        super(owner, title, modal);
        try {
            setDefaultCloseOperation(DISPOSE_ON_CLOSE);
            jbInit();
            pack();
        } catch (Exception exception) {
            exception.printStackTrace();
        }
    }

    public FontDialog() {
        this(new Frame(), "FontDialog", false);
    }

    private void jbInit() throws Exception {
        jButton1.setText("OK");
        jButton1.addActionListener(new FontDialog_jButton1_actionAdapter(this));
        panel1.setLayout(gridBagLayout2);
        this.getContentPane().setLayout(borderLayout1);
        jTextField1.setEditable(false);
        jTextField1.setText("Sample");
        jScrollPane1.addMouseListener(new FontDialog_jScrollPane1_mouseAdapter(this));
        jList1.addMouseListener(new FontDialog_jList1_mouseAdapter(this));
        jList1.addListSelectionListener(new
                                        FontDialog_jList1_listSelectionAdapter(this));
        jLabel1.setText("Point size");
        jSpinner1.addChangeListener(new FontDialog_jSpinner1_changeAdapter(this));
        this.getContentPane().add(panel1, java.awt.BorderLayout.CENTER);
        panel1.add(jScrollPane1, new GridBagConstraints(0, 0, 1, 2, 0.0, 0.0
                , GridBagConstraints.CENTER, GridBagConstraints.NONE,
                new Insets(0, 0, 0, 0), 0, 0));
        panel1.add(jButton1, new GridBagConstraints(1, 2, 1, 1, 0.0, 0.0
                , GridBagConstraints.SOUTH, GridBagConstraints.NONE,
                new Insets(26, 0, 0, 0), 0, 0));
        panel1.add(jTextField1, new GridBagConstraints(0, 2, 1, 1, 0.0, 0.0
                , GridBagConstraints.SOUTHWEST, GridBagConstraints.BOTH,
                new Insets(24, 0, 0, 98), 0, 0));
        panel1.add(jLabel1, new GridBagConstraints(1, 0, 1, 1, 0.0, 0.0
                , GridBagConstraints.NORTHWEST, GridBagConstraints.NONE,
                new Insets(0, 0, 0, 0), 0, 0));
        panel1.add(jSpinner1, new GridBagConstraints(1, 1, 1, 1, 0.0, 0.0
                , GridBagConstraints.NORTHEAST, GridBagConstraints.NONE,
                new Insets(0, 0, 0, 0), 39, 0));
    }

    public void Init()
    {
        SpinnerNumberModel m=new SpinnerNumberModel(pt,8,64,1);
        jSpinner1.setModel(m);
        jList1.setSelectedValue(face,true);

    }
    public void jList1_valueChanged(ListSelectionEvent e) {
        Object ob=jList1.getSelectedValue();
           if (ob==null) return;
          face=ob.toString();
          Sample();
    }

    void Sample()
    {

           Font f=new Font(face,Font.PLAIN,pt);
           jTextField1.setFont(f);
         jTextField1.setText("Sample");
    }

    public void jSpinner1_stateChanged(ChangeEvent e) {
        Object ob=jSpinner1.getValue();
        pt=Integer.parseInt(ob.toString());
        Sample();
    }

    public void jButton1_actionPerformed(ActionEvent e) {
        bOK=true;
        dispose();
    }
}


class FontDialog_jSpinner1_changeAdapter implements ChangeListener {
    private FontDialog adaptee;
    FontDialog_jSpinner1_changeAdapter(FontDialog adaptee) {
        this.adaptee = adaptee;
    }

    public void stateChanged(ChangeEvent e) {
        adaptee.jSpinner1_stateChanged(e);
    }
}


class FontDialog_jButton1_actionAdapter implements ActionListener {
    private FontDialog adaptee;
    FontDialog_jButton1_actionAdapter(FontDialog adaptee) {
        this.adaptee = adaptee;
    }

    public void actionPerformed(ActionEvent e) {
        adaptee.jButton1_actionPerformed(e);
    }
}


class FontDialog_jScrollPane1_mouseAdapter extends MouseAdapter {
    private FontDialog adaptee;
    FontDialog_jScrollPane1_mouseAdapter(FontDialog adaptee) {
        this.adaptee = adaptee;
    }


}


class FontDialog_jList1_mouseAdapter extends MouseAdapter {
    private FontDialog adaptee;
    FontDialog_jList1_mouseAdapter(FontDialog adaptee) {
        this.adaptee = adaptee;
    }


}


class FontDialog_jList1_listSelectionAdapter implements ListSelectionListener {
    private FontDialog adaptee;
    FontDialog_jList1_listSelectionAdapter(FontDialog adaptee) {
        this.adaptee = adaptee;
    }

    public void valueChanged(ListSelectionEvent e) {
        adaptee.jList1_valueChanged(e);
    }
}
