package org.xaira.server;

import org.w3c.dom.Element;

/**
 * <p>Title: </p>
 *
 * <p>Description: </p>
 *
 * <p>Copyright: Copyright (c) 2005</p>
 *
 * <p>Company: </p>
 *
 * @author not attributable
 * @version 1.0
 */
public class XairoCorpusTextList {
    public XairoCorpusTextList(XairoServer s) {
        m_server=s;
    }
    public int getCount() throws XairoError
    {
            String s;
            Element d;
            s=RPC.Call("CorpusTextList_getCount",0,null);
            d=m_server.RPCRemote(s);
            return RPC.IntParam(d,0);
    }

    XairoCorpusText getCorpusText(int i) throws XairoError
    {
            String s;
            Element d;
            xmlrpc_arg x[]=new xmlrpc_arg[1];
            x[0]=new xmlrpc_arg(i);
            s=RPC.Call("CorpusTextList_getCorpusText",1,x);
            d=m_server.RPCRemote(s);
            return new XairoCorpusText(RPC.StringParam(d,0),m_server);
    }

    XairoCorpusTextFilter getCorpusTextFilter(int [] v) throws XairoError
    {
        String s;
        Element d;
        xmlrpc_arg x[]=new xmlrpc_arg[1];
        x[0]=new xmlrpc_arg(v);
        s=RPC.Call("CorpusTextList_getCorpusTextFilter",1,x);
        d=m_server.RPCRemote(s);
        return new XairoCorpusTextFilter(RPC.StringParam(d,0),m_server);
    }



    XairoServer m_server;
}
