#include "SServer.h"
#include "XairoExtendedForm.h"
#include "WordList.h"
#include "SB.h"

XAIRO_NAMESPACE_BEGIN


const xairo_uchar* CXairoExtendedForm::getAdditionalKey(const xairo_uchar* n)
{
	int i=m_server->GetWL()->addkey_index(n);
	if (i < 0) return L("");
	xara_streambase *sb=m_server->GetSB()->GetSB(m_i);
	return m_server->GetWL()->GetWordW(sb->w.con[i]);
}

const xairo_uchar* CXairoExtendedForm::getNorm()
{
	xara_streambase *sb=m_server->GetSB()->GetSB(m_i);
	return m_server->GetWL()->GetWordW(sb->w.val);
}

const xairo_uchar* CXairoExtendedForm::getText()
{
	xara_streambase *sb=m_server->GetSB()->GetSB(m_i);
	return m_server->GetWL()->GetWordW(sb->w.xval);
}

CXairoIExtendedForm::type CXairoExtendedForm::getType()
{
	xara_streambase *sb=m_server->GetSB()->GetSB(m_i);
	return (CXairoIExtendedForm::type) sb->w.t;
}


XAIRO_NAMESPACE_END
