/*
 * This is the Service Class genarated by the tool WSDL2Ws
 * Xaira.hpp: interface for the Xairaclass.
 *
 */
#if !defined(__XAIRA_SERVERSKELETON_H__INCLUDED_)
#define __XAIRA_SERVERSKELETON_H__INCLUDED_

#include <axis/AxisUserAPI.hpp>
#include "AxisServiceException.hpp" 

#include "XairaFault.hpp"
#include "word.hpp"
#include "addkeyvalue_Array.hpp"
#include "word_Array.hpp"
#include "addkeyvalue.hpp"
#include "hit.hpp"
#include "formlistelement_Array.hpp"
#include "collocate_Array.hpp"
#include "hit_Array.hpp"
#include "formlistelement.hpp"
#include "collocate.hpp"

namespace XAIRO_NAMESPACE {
	class CXairoInterface;
}

class Xaira 
{
	public:
		Xaira();
	public:
		virtual ~Xaira();
	public: 
		void onFault();
		void init();
		void fini();
		hit_Array solve(xsd__string Value0);
		collocate_Array collocation(xsd__string Value0,xsd__int Value1,xsd__int Value2,xsd__int Value3);
		word_Array getWordList(xsd__string Value0);
		formlistelement_Array getFormList(xsd__string Value0);
		class XAIRO_NAMESPACE::CXairoInterface *m_server;
		bool m_bLoaded;
		char* m_log;
		void note(const char*,...);

};

#endif /* !defined(__XAIRA_SERVERSKELETON_H__INCLUDED_)*/
