#include "Xaira.hpp"
#include "../XairoHeader.h"

xairo_uchar* uc(const char* s)
{
	int t=0;
	for (int i=0;s[i];i++) {
		char c=s[i];
		int cc=c & 0xE0;
		if (cc==0xE0) i+=2;
		else if (cc==0xC0) i++;
		t++;
	}
	xairo_uchar* w=new xairo_uchar[t+1];
	t=0;
	for (int i=0;s[i];i++) {
		char c=s[i];
		int cc=c & 0xE0;
		if (cc==0xE0) {
			w[t]=((s[i] & 0xf) << 12) +((s[i+1] & 0x3f) << 6) +(s[i+2] & 0x3f);
			i+=2;
		} 
		else if (cc==0xC0) {
			w[t]=((s[i] & 0xf) << 6) +(s[i+1] & 0x3f);
			i++;
		}
		else w[t]=s[i];
		t++;
	}
	w[t]=0;
	return w;
}




char* utf8(const xairo_uchar* w)
{
	int t=0;
	for (int i=0;w[i];i++) {
		if (w[i] <= 0x7f) t++;
		else if (w[i]<=0x7ff) t+=2;
		else t+=3;
	}
	char* s=new char[t+1];
	int j=0;
	for (int i=0;w[i];i++) {
		xairo_uchar x=w[i];
		if (x <= 0x7f) {
			s[j++]=(char) x;
		}
		else if (x <= 0x7ff){
			s[j++]=(char) (((x & 0x7C0)>>6) | 0xC0);
			s[j++]=(char) ((x & 0x3f)|0x80);
		}
		else {
			s[j++]=(char) (((x & 0xf000) >> 12) | 0xE0);
			s[j++]=(char) (((x & 0xFC0) >> 6) | 0x80);
			s[j++]=(char) ((x & 0x3F) |0x80);
		}
	}
	s[j]=0;
	return s;
}

