package org.xaira.server;

import org.w3c.dom.Element;


/**
 * <p>Title: </p>
 *
 * <p>Description: </p>
 *
 * <p>Copyright: Copyright (c) 2005</p>
 *
 * <p>Company: </p>
 *
 * @author not attributable
 * @version 1.0
 */
public class XairoCorpusText {
    public XairoCorpusText(String id,XairoServer s) {
        m_id=id;
        m_server=s;
    }

    public String getTitle() throws XairoError
    {
        String s;
        Element d;
        xmlrpc_arg[] x=new xmlrpc_arg[1];
        x[0]= new xmlrpc_arg(m_id);
        s=RPC.Call("CorpusText_getTitle",1,x);
        d=m_server.RPCRemote(s);
        return RPC.StringParam(d,0);
    }

    XairoGrammar.Partition classify(XairoGrammar.Partition p) throws XairoError
    {
            String s;
            Element d;
            xmlrpc_arg x[]=new xmlrpc_arg[2];
            x[0]=new xmlrpc_arg(m_id);
            x[1]=new xmlrpc_arg(p.getId());
            s=RPC.Call("CorpusText_classify",2,x);
            d=m_server.RPCRemote(s);
            String id=RPC.StringParam(d,0);
            if (id.equals("null")) return null;
            String n=RPC.StringParam(d,1);
            String dx=RPC.StringParam(d,2);
            int c=RPC.IntParam(d,3);
            boolean b=RPC.BoolParam(d,4);
            return new XairoGrammar.Partition(id,n,dx,c,b,m_server);
    }

    public XairoXpathValue evalXpath(String path) throws XairoError
    {
            String s;
            Element d;
            xmlrpc_arg x[]=new xmlrpc_arg[2];
            x[0]=new xmlrpc_arg(m_id);
            x[1]=new xmlrpc_arg(path);
            s=RPC.Call("CorpusText_evalXpath",2,x);
            d=m_server.RPCRemote(s);
            String id=RPC.StringParam(d,0);
            return new XairoXpathValue(id);
    }

    public int getWordCount() throws XairoError
    {
        String s;
        Element d;
        xmlrpc_arg x[]=new xmlrpc_arg[2];
        x[0]=new xmlrpc_arg(m_id);
        s=RPC.Call("CorpusText_getWordCount",1,x);
        d=m_server.RPCRemote(s);
        return RPC.IntParam(d,0);

}

    public boolean isSelected(XairoCorpusTextFilter f) throws XairoError
    {
            String s;
            Element d;
            xmlrpc_arg x[]=new xmlrpc_arg[2];
            x[0]=new xmlrpc_arg(m_id);
            x[1]=new xmlrpc_arg(f.getId());
            s=RPC.Call("CorpusText_isSelected",2,x);
            d=m_server.RPCRemote(s);
            return RPC.BoolParam(d,0);

    }

    public XairoTextEntity getTextEntity() throws XairoError
    {
        String s;
        Element d;
        xmlrpc_arg x[]=new xmlrpc_arg[1];
        x[0]=new xmlrpc_arg(m_id);
        s=RPC.Call("CorpusText_getTextEntity",1,x);
        d=m_server.RPCRemote(s);
        return new XairoTextEntity(RPC.StringParam(d,0));

    }

    String m_id;
    XairoServer m_server;
}
