package org.xaira.server;

import org.w3c.dom.*;
/**
 * <p>Title: </p>
 *
 * <p>Description: </p>
 *
 * <p>Copyright: Copyright (c) 2005</p>
 *
 * <p>Company: </p>
 *
 * @author not attributable
 * @version 1.0
 */
public class XairoForm {
    public XairoForm(String id,XairoServer s) {
        m_id=id;
        m_server=s;
    }

    public int getFrequency() throws XairoError
    {
        String s;
        Element d;
        xmlrpc_arg x[]=new xmlrpc_arg[1];
        x[0]=new xmlrpc_arg(m_id);
        s=RPC.Call("Form_getFrequency",1,x);
        d=m_server.RPCRemote(s);
        return RPC.IntParam(d,0);
    }

    public int getFilteredFrequency(XairoCorpusTextFilter f) throws XairoError
    {
        String s;
        Element d;
        xmlrpc_arg x[]=new xmlrpc_arg[2];
        x[0]=new xmlrpc_arg(m_id);
        x[1]=new xmlrpc_arg(f.getId());
        s=RPC.Call("Form_getFilteredFrequency",2,x);
        d=m_server.RPCRemote(s);
        return RPC.IntParam(d,0);
    }


    public String getAdditionalKey(String key) throws XairoError
    {
        String s;
        Element d;
        xmlrpc_arg x[]=new xmlrpc_arg[2];
        x[0]=new xmlrpc_arg(m_id);
        x[1]=new xmlrpc_arg(key);
        s=RPC.Call("Form_getAdditionalKey",2,x);
        d=m_server.RPCRemote(s);
        return RPC.StringParam(d,0);
    }

    public String getNorm() throws XairoError
{
        String s;
        Element d;
        xmlrpc_arg x[]=new xmlrpc_arg[1];
        x[0]=new xmlrpc_arg(m_id);
        s=RPC.Call("Form_getNorm",1,x);
        d=m_server.RPCRemote(s);
        return RPC.StringParam(d,0);
}


    String m_id;
    XairoServer m_server;
}
