package org.xaira.server;

import org.w3c.dom.Element;

/**
 * <p>Title: </p>
 *
 * <p>Description: </p>
 *
 * <p>Copyright: Copyright (c) 2005</p>
 *
 * <p>Company: </p>
 *
 * @author not attributable
 * @version 1.0
 */
public class XairoHit {
    public XairoHit(String id,int i,String u,int d,int f,String url,int c1,int c2,XairoServer s) {
        m_id=id;
        m_i=i;
        m_u=u;
        m_d=d;
        m_f=f;
        m_url=url;
        m_server=s;
        m_seq1=c1;
        m_seq2=c2;
    }

    public String getText(int sc,int max) throws XairoError
    {
        String s;
        Element d;
        xmlrpc_arg x[]=new xmlrpc_arg[4];
        x[0]=new xmlrpc_arg(m_id);
        x[1]=new xmlrpc_arg(m_i);
        x[2]=new xmlrpc_arg(sc);
        x[3]=new xmlrpc_arg(max);
        s=RPC.Call("Hit_getText",4,x);
        d=m_server.RPCRemote(s);
        return RPC.StringParam(d,0);
   }

    public XairoCorpusText getCorpusText() throws XairoError
    {
        String s;
        Element d;
        xmlrpc_arg x[]=new xmlrpc_arg[1];
        x[0]=new xmlrpc_arg(m_d);
        s=RPC.Call("Hit_getCorpusText",1,x);
        d=m_server.RPCRemote(s);
        return new XairoCorpusText(RPC.StringParam(d,0),m_server);
   }

    public String getUnit()
    {
        return m_u;
    }

    public int getCursorStart()
    {
        return m_seq1;
    }

    public int getCursorEnd()
    {
        return m_seq2;
    }

    public XairoTextEntity getTextEntity() throws XairoError
    {
            return new XairoTextEntity(m_url);
    }

    int m_d, m_i, m_f;
    String m_id;
    String m_u, m_url;
    int m_seq1, m_seq2;
    XairoServer m_server;
}

