/*
 * $Id: Localize.h,v 1.1 2005/07/30 16:20:59 tonydodd Exp $
 *
 * $Log: Localize.h,v $
 * Revision 1.1  2005/07/30 16:20:59  tonydodd
 * First commit
 *
 * Revision 1.1  1996/02/15 01:30:30  scotty
 * Initial revision
 *
 */
#ifndef LOCALIZE_H
# define LOCALIZE_H

#if defined(CONV_ALL) && !defined(CONV_INDEX)
# define CONV_INDEX
#endif /* CONV_ALL && ! FIX_INDEX */

# if defined(CONV_INDEX)
void  fix_dicent(struct dicent *, int);
void  fix_ihdr(struct ihdr *, int);
void  fix_locent(struct locent *, int);     
# else /* ! CONV_INDEX */
# define fix_dicent(D, N)
# define fix_ihdr(I, N)
# define fix_locent(L, N)
# endif /* CONV_INDEX */

# if defined(CONV_ALL)
void  fix_accentry(struct accentry *, int);
void  fix_bibhdr(struct bibhdr *, int);
void  fix_bibentry(struct bibentry *, int);
void  fix_pihead(struct pihead *, int);
void  fix_pii(struct pii *, int);
void  fix_di(struct di *, int);
void  fix_dhead(struct dhead *, int);
void  fix_locent1(struct locent1 *, int);
void  fix_sara_long(sara_long *, int);
void  fix_sara_ulong(sara_ulong *, int);
void  fix_sara_int(sara_int *, int);
void  fix_sig(struct index_sig*,int);
void  fix_strb(struct strb*,int);
# else /* ! CONV_ALL */
# define fix_accentry(A, N)
# define fix_bibhdr(B, N)
# define fix_bibentry(B, N)
# define fix_pihead(P, N)
# define fix_pii(P, N)
# define fix_locent1(L, N)
# define fix_di(D, N)
# define fix_dhead(D, N)
# define fix_sara_long(L, N)
# define fix_sara_ulong(L, N)
# define fix_sara_int(I, N)           
# define fix_sig(S,N) 
# define fix_strb(S,N)
# endif /* CONV_ALL */

#endif /* LOCALIZE_H */
